---
title: Update an Internal Tag
description: This endpoint allows updating an internal tag using the numeric ID.
url: https://storyblok.com/docs/api/management/internal-tags/update-an-internal-tag
---

# Update an Internal Tag

PUT

```html
https://mapi.storyblok.com/v1/spaces/:space_id/internal_tags/:internal_tag_id
```

This endpoint allows updating an internal tag using the numeric ID.

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    
-   `:internal_tag_id` (required) (number)
    
    Numeric ID of the internal tag
    

## Request body properties

-   `internal_tag` (The Internal Tag Object)
    
    An [internal tag](/docs/api/management/internal-tags/the-internal-tag-object) object
    

## Response properties

-   `internal_tag` (The Internal Tag Object)
    
    An [internal tag](/docs/api/management/internal-tags/the-internal-tag-object) object
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/internal_tags/123" \
      -X PUT \
      -H "Authorization: YOUR_OAUTH_TOKEN" \
      -H "Content-Type: application/json" \
      -d "{\"internal_tag\":{\"name\":\"Updated Tag name\",\"object_type\":\"asset\"}}"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.put('spaces/288868932106293/internal_tags/123', {
        "internal_tag": {
          "name": "Updated Tag name",
          "object_type": "asset"
        }
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $payload = ["internal_tag" => ["name" => "Updated Tag name","object_type" => "asset"]];
    
    $client->put('spaces/288868932106293/internal_tags/123', $payload)->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.put("https://mapi.storyblok.com/v1/spaces/288868932106293/internal_tags/123")
      .header("Content-Type", "application/json")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .body({"internal_tag":{"name":"Updated Tag name","object_type":"asset"}})
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/internal_tags/123");
    var request = new RestRequest(Method.PUT);
    
    request.AddHeader("Content-Type", "application/json");
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    request.AddParameter("application/json", "{\"internal_tag\":{\"name\":\"Updated Tag name\",\"object_type\":\"asset\"}}", ParameterType.RequestBody);
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/internal_tags/123"
    
    querystring = {}
    
    payload = {"internal_tag":{"name":"Updated Tag name","object_type":"asset"}}
    headers = {
      'Content-Type': "application/json",
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("PUT", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    payload = {"internal_tag" => {"name" => "Updated Tag name","object_type" => "asset"}}
    
    client.put('spaces/288868932106293/internal_tags/123', payload)
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/internal_tags/123")
    request.httpMethod = "PUT"
    request.httpBody = try JSONSerialization.data(withJSONObject: [
        "internal_tag": [
            "name": "Updated Tag name",
            "object_type": "asset",
        ],
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.put("spaces/288868932106293/internal_tags/123") {
        setBody(buildJsonObject {
            putJsonObject("internal_tag") {
                put("name", "Updated Tag name")
                put("object_type", "asset")
            }
        })
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: The Tag MAPI Object](/docs/api/management/internal-tags/the-tag-mapi-object)
-   [Next: OAuth](/docs/api/management/oauth)
